%define name	gcompris
%define version	3.2
%define release	3mdk

Summary: GCompris
Name: 	%name
Version: %version
Release: %release
License: GPL
Group: Games/Other
Source:	%name-%version.tar.bz2
BuildRoot: %_tmppath/%name-%version-buildroot
Buildrequires: gnuchess libogg0-devel
Buildrequires: libxml2-devel libgnomeui2_0-devel
Buildrequires: libvorbis0-devel libao2-devel 
Buildrequires: liblinc1-devel 
# (misc) needed for python support
Buildrequires: gnome-python python-devel pygtk2.0-devel
Buildrequires: texinfo tetex-texi2html 
Requires:      %{name}-sound = %{version}
Requires:      gnuchess
URL: http://www.ofset.org/gcompris/

%description
GCompris / I Have Understood is an educationnal game for 
children starting at 3.
Today several Boards are implemented:
* Click on the falling animals => learn the mouse/click usage
* Type the falling letters => learn the keyboard usage
* Falling Dices
* Falling words
* Basic algebra
* Time learning with an analog clock
* Puzzle game with famous paintings
* Drive Plane to catch clouds in increasing number
* Balance the scales
* And much more ...

You should install it if you have children using this computer.

%package sounds-fr
Summary:        French sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}

%description sounds-fr
French sounds for gcompris.

%package sounds-es
Summary:        Spanish sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}

%description sounds-es
Spanish sounds for gcompris.

%package sounds-de
Summary:        German sounds for GCompris
Group:          Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}

%description sounds-de
German sounds for gcompris.

%package sounds-en
Summary:        English sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}

%description sounds-en
English sounds for gcompris.

%package sounds-pt
Summary:        Portuguese sounds for GCompris
Group: 		Games/Other
Requires:       %{name} = %{version}
Provides:       %{name}-sound = %{version}

%description sounds-pt
Portuguese sounds for gcompris.

%prep
%setup -q -n %name-%version

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
%configure 
#--without-python

%make

%install

rm -rf $RPM_BUILD_ROOT
%makeinstall_std

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}

cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="soundwrapper %{_bindir}/%{name}" \
title="Gcompris" \
longtitle="Educational game" \
icon="amusement_section.png" \
needs="x11" \
section="Amusement/Other"
?package(%{name}): \
command="%{_bindir}/%{name}-edit" \
title="Gcompris editor" \
longtitle="The game editor of gcompris" \
icon="amusement_section.png" \
needs="x11" \
section="Amusement/Other"
EOF

)
 
%find_lang %name
find $RPM_BUILD_ROOT/%_datadir/%{name}/ -type d | grep -v sounds | sed 's|'$RPM_BUILD_ROOT'|%dir |' > %{name}.dir
find $RPM_BUILD_ROOT/%_datadir/%{name}/ -type f | grep -v sounds | sed 's|'$RPM_BUILD_ROOT'||' > %{name}.files
find $RPM_BUILD_ROOT/%_datadir/%{name}/boards/sounds/ -type f -maxdepth 1 | sed 's|'$RPM_BUILD_ROOT'||' >> %{name}.files

cat  %{name}.dir %{name}.files %{name}.lang > %{name}.all

rm -rf $RPM_BUILD_ROOT/%_datadir/locale/*/LC_MESSAGES/*GETTEXT*

%clean
rm -rf $RPM_BUILD_ROOT

%post 

%update_menus

%_install_info %{name}.info

%postun 

%clean_menus

%preun

%_remove_install_info %{name}.info

%files -f %{name}.all
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*

%dir %_libdir/%{name}/
%_libdir/%{name}/*

%_datadir/gnome/apps/Games/*

%dir %_datadir/gnome/help/%{name}/
%_datadir/gnome/help/%{name}/*

%_datadir/pixmaps/*
%_menudir/*
%_infodir/*


%files sounds-de
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/de/*
%dir %_datadir/%{name}/boards/sounds/de

%files sounds-en
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/en/*
%dir %_datadir/%{name}/boards/sounds/en

%files sounds-es
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/es/*
%dir %_datadir/%{name}/boards/sounds/es

%files sounds-fr
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/fr/*
%dir %_datadir/%{name}/boards/sounds/fr

%files sounds-pt
%defattr(-, root, root)
%_datadir/%{name}/boards/sounds/pt/*
%dir %_datadir/%{name}/boards/sounds/pt

%changelog

* Tue Sep 02 2003 Michael Scherer <scherer.michael@free.fr> 3.2-3mdk 
- since libao does not include libarts for these release, use soundwrapper in menu

* Sun Aug 31 2003 Michael Scherer <scherer.michael@free.fr> 3.2-2mdk
- s/tetex/tetex-texi2html/ in BuildRequires 

* Mon Aug 18 2003 Michael Scherer <scherer.michael@free.fr> 3.2-1mdk 
- 3.2 
- split the sound package
- [DIRM]
- clean BuildRequires

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 2.3-3mdk
- Builrequires texinfo and texi2html ( for documentation ) 

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3-2mdk
- buildrequires

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
- 2.1

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-2mdk
- rebuild

* Tue May 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Tue Apr 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Tue Apr 09 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- fix buid ( libxml2 headers )

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.2mdk
- 1.0.0Pre4

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-0.1mdk
- 1.0.0Pre2
- fix build (libxml)

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7.5-2mdk
- Use standard icon for menu
- Fix build

* Wed Sep 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- updated to 0.6.5

* Tue Jul 24 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.6.3-2mdk
- moved plugins to a subdir of /usr/lib to avoid conflict with
ncurses-devel.

* Fri Jul 13 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- updated to 0.3.5

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- new in contribs

/usr/share/gcompris
/usr/share/gcompris/boards
%_datadir/gcompris/boardsDOCUMENTATIONS
%_datadir/gcompris/boardsREADME
%_datadir/gcompris/boardsadvanced_colors
%_datadir/gcompris/boardsalgebra_guesscount
%_datadir/gcompris/boardsbabymatch
%_datadir/gcompris/boardsbabyshapes
%_datadir/gcompris/boardsbabyshapes/dog1
%_datadir/gcompris/boardsbabyshapes/dog2
%_datadir/gcompris/boardsbabyshapes/dog3
%_datadir/gcompris/boardsboardicons
%_datadir/gcompris/boardsboardicons/README
%_datadir/gcompris/boardscanal_lock
%_datadir/gcompris/boardschess
%_datadir/gcompris/boardschess/COPYRIGHT
%_datadir/gcompris/boardsclockgame
%_datadir/gcompris/boardscolors
%_datadir/gcompris/boardsdataset
%_datadir/gcompris/boardsdoubleentry
%_datadir/gcompris/boardsdraw
%_datadir/gcompris/boardsfishes
%_datadir/gcompris/boardsflags
%_datadir/gcompris/boardsflags/README
%_datadir/gcompris/boardsgcompris
%_datadir/gcompris/boardsgcompris/README
%_datadir/gcompris/boardsgcompris/animals
%_datadir/gcompris/boardsgcompris/bonus
%_datadir/gcompris/boardsgcompris/bonus/README
%_datadir/gcompris/boardsgcompris/buttons
%_datadir/gcompris/boardsgcompris/dice
%_datadir/gcompris/boardsgcompris/letters
%_datadir/gcompris/boardsgcompris/misc
%_datadir/gcompris/boardsgcompris/misc/README
%_datadir/gcompris/boardsgcompris/timers
%_datadir/gcompris/boardsgcompris/timers/README
%_datadir/gcompris/boardsgeography
%_datadir/gcompris/boardsgeography/europe
%_datadir/gcompris/boardsgeography/northamerica
%_datadir/gcompris/boardsgeography/southamerica
%_datadir/gcompris/boardsimageid
%_datadir/gcompris/boardsimagename
%_datadir/gcompris/boardsimages
%_datadir/gcompris/boardsleftright
%_datadir/gcompris/boardsmissing_letter
%_datadir/gcompris/boardsmoney
%_datadir/gcompris/boardsmoney/euro
%_datadir/gcompris/boardsmrpatate
%_datadir/gcompris/boardsmusic
%_datadir/gcompris/boardspaintings
%_datadir/gcompris/boardspaintings/level1
%_datadir/gcompris/boardspaintings/level2
%_datadir/gcompris/boardspaintings/level3
%_datadir/gcompris/boardspaintings/level4
%_datadir/gcompris/boardspaintings/level5
%_datadir/gcompris/boardspaintings/level6
%_datadir/gcompris/boardsrailroad
%_datadir/gcompris/boardsread_colors
%_datadir/gcompris/boardsreading
%_datadir/gcompris/boardsreversecount
%_datadir/gcompris/boardsscales
%_datadir/gcompris/boardsskins
%_datadir/gcompris/boardsskins/default
%_datadir/gcompris/boardsskins/pink
%_datadir/gcompris/boardssubmarine
%_datadir/gcompris/boardstarget
%_datadir/gcompris/boardstraffic
%_datadir/gcompris/boardstraffic/TrafficData
%_datadir/gcompris/boardswordsgame
